Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
uac1_device_audio_task.c File Reference

Management of the USB device Audio task. More...

`#include <stdio.h>`
`#include "usart.h"`
`#include "conf_usb.h"`
`#include "board.h"`
`#include "gpio.h"`
`#include "pdca.h"`
`#include "usb_drv.h"`
`#include "usb_descriptors.h"`
`#include "uac1_usb_descriptors.h"`
`#include "usb_standard_request.h"`
`#include "usb_specific_request.h"`
`#include "uac1_usb_specific_request.h"`
`#include "device_audio_task.h"`
`#include "uac1_device_audio_task.h"`
`#include "composite_widget.h"`
`#include "taskAK5394A.h"`
`#include "sync_control.h"`
`#include "print_funcs.h"`

## Macros
#define | FB_RATE_DELTA (1<<12)
#define | FB_RATE_DELTA_NUM 2
#define | MAX_PLL_PPM 50000
#define | PLL_CHANGE_TIME_DIFF 500
#define | STARTUP_LED_DELAY 10000

## Functions
void | uac1_device_audio_task_init (U8 ep_in, U8 ep_out, U8 ep_out_fb)
| This function initializes the hardware/software resources required for device Audio task. More...
void | uac1_device_audio_task (void *pvParameters)
| Entry point of the device Audio task management. More...

## Variables
static U32 | index
static U32 | spk_index
static U8 | audio_buffer_out
static U8 | spk_buffer_in
static volatile U32 * | audio_buffer_ptr
static U8 | ep_audio_in
static U8 | ep_audio_out
static U8 | ep_audio_out_fb

## Detailed Description

Management of the USB device Audio task.

This file manages the USB device Audio task.

- Compiler: IAR EWAVR32 and GNU GCC for AVR32
- Supported devices: All AVR32 devices with a USB module can be used.
- AppNote:

Author
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

## Macro Definition Documentation

#define FB_RATE_DELTA (1<<12)

#define FB_RATE_DELTA_NUM 2

#define MAX_PLL_PPM 50000

#define PLL_CHANGE_TIME_DIFF 500

#define STARTUP_LED_DELAY 10000

## Function Documentation

void uac1_device_audio_task | ( | void * | pvParameters) |  |

Entry point of the device Audio task management.

Todo:
  [Martin] It that code really needed? It looks like that num_samples is changed only by 1. Try and add more conditions -> set more proper num_samples

void uac1_device_audio_task_init | ( | U8 | ep_in,
|  | U8 | ep_out,
|  | U8 | ep_out_fb
| ) |  |

This function initializes the hardware/software resources required for device Audio task.

## Variable Documentation

U8 audio_buffer_out
| static

volatile U32* audio_buffer_ptr
| static

U8 ep_audio_in
| static

U8 ep_audio_out
| static

U8 ep_audio_out_fb
| static

U32 index
| static

U8 spk_buffer_in
| static

U32 spk_index
| static